clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::DeclaratorChunk::PointerTypeInfo Struct Reference

`#include "clang/Sema/DeclSpec.h"`

Collaboration diagram for clang::DeclaratorChunk::PointerTypeInfo:
[legend]

## Public Member Functions
void | destroy ()

## Public Attributes
unsigned | TypeQuals: 5
| The type qualifiers: const/volatile/restrict/unaligned/atomic. More...
unsigned | ConstQualLoc
| The location of the const-qualifier, if any. More...
unsigned | VolatileQualLoc
| The location of the volatile-qualifier, if any. More...
unsigned | RestrictQualLoc
| The location of the restrict-qualifier, if any. More...
unsigned | AtomicQualLoc
| The location of the _Atomic-qualifier, if any. More...
unsigned | UnalignedQualLoc
| The location of the __unaligned-qualifier, if any. More...

## Detailed Description

Definition at line 1192 of file DeclSpec.h.

## Member Function Documentation

## ◆ destroy()

void clang::DeclaratorChunk::PointerTypeInfo::destroy | ( |  | ) |
| inline

Definition at line 1211 of file DeclSpec.h.

## Member Data Documentation

## ◆ AtomicQualLoc

unsigned clang::DeclaratorChunk::PointerTypeInfo::AtomicQualLoc

The location of the _Atomic-qualifier, if any.

Definition at line 1206 of file DeclSpec.h.

Referenced by diagnoseRedundantReturnTypeQualifiers(), fillAtomicQualLoc(), and clang::DeclaratorChunk::getPointer().

## ◆ ConstQualLoc

unsigned clang::DeclaratorChunk::PointerTypeInfo::ConstQualLoc

The location of the const-qualifier, if any.

Definition at line 1197 of file DeclSpec.h.

Referenced by diagnoseRedundantReturnTypeQualifiers(), and clang::DeclaratorChunk::getPointer().

## ◆ RestrictQualLoc

unsigned clang::DeclaratorChunk::PointerTypeInfo::RestrictQualLoc

The location of the restrict-qualifier, if any.

Definition at line 1203 of file DeclSpec.h.

Referenced by diagnoseRedundantReturnTypeQualifiers(), and clang::DeclaratorChunk::getPointer().

## ◆ TypeQuals

unsigned clang::DeclaratorChunk::PointerTypeInfo::TypeQuals

The type qualifiers: const/volatile/restrict/unaligned/atomic.

Definition at line 1194 of file DeclSpec.h.

Referenced by diagnoseRedundantReturnTypeQualifiers(), and clang::DeclaratorChunk::getPointer().

## ◆ UnalignedQualLoc

unsigned clang::DeclaratorChunk::PointerTypeInfo::UnalignedQualLoc

The location of the __unaligned-qualifier, if any.

Definition at line 1209 of file DeclSpec.h.

Referenced by diagnoseRedundantReturnTypeQualifiers(), and clang::DeclaratorChunk::getPointer().

## ◆ VolatileQualLoc

unsigned clang::DeclaratorChunk::PointerTypeInfo::VolatileQualLoc

The location of the volatile-qualifier, if any.

Definition at line 1200 of file DeclSpec.h.

Referenced by diagnoseRedundantReturnTypeQualifiers(), and clang::DeclaratorChunk::getPointer().

The documentation for this struct was generated from the following file:

- include/clang/Sema/DeclSpec.h